import serial
import tkinter as tk

serialPort = 'COM7' # change this to match your Arduino serial port
serialBaud = 9600

def sendChar(char):
    ser = serial.Serial(serialPort,  serialBaud)
    ser.write(char.encode())
    ser.close()

root = tk.Tk()
root.title("CONTROL LED WITH TKINTER UI AND ESP32")

buttonOn = tk.Button(root, text="TURN ON LED", command=lambda: sendChar('H'))
buttonOn.pack()

buttonOff = tk.Button(root, text="TURN OFF  LED", command=lambda: sendChar('L'))
buttonOff.pack()
root.mainloop()